@keyframes gradient {
	0% {
		background-position: 0% 50%;
	}
	50% {
		background-position: 100% 50%;
	}
	100% {
		background-position: 0% 50%;
	}
}
#root, body, html {
	height: 100%;
}
body {
	background: linear-gradient(-45deg, #a13d1e 0%, #aa315f 33%, #2f7b96 66%, #369983 100%);
	background-size: 400% 400%;
	animation: gradient 15s ease infinite;
	height: 100vh;
	overflow-y: scroll;
	color: #fff;
	font-size: 14px;
}
a {
	color: inherit;
	text-decoration: none;
}
.wrapper {
	align-items: stretch;
	display: flex;
	width: 100%;
	height: 100%;
}
.sidebar {
	background: #222e3c;
	direction: ltr;
	max-width: 264px;
	min-width: 264px;
	transition: margin-left .35s ease-in-out,left .35s ease-in-out,margin-right .35s ease-in-out,right .35s ease-in-out;
	box-shadow: 0px 0px 20px -10px #000;
}
.main {
	display: flex;
	flex-direction: column;
	min-height: 100vh;
	min-width: 0;
	overflow: scroll;
	width: 100%;
	transition: margin-left .35s ease-in-out,left .35s ease-in-out,margin-right .35s ease-in-out,right .35s ease-in-out;
}
.content {
	padding: 2rem;
}
#copySuccess {
	padding-left: calc(2rem + 15px);
	padding-right: calc(2rem + 15px);
	position: fixed;
	bottom: -71px;
	width: calc(100% - 264px);
	transition: bottom .35s ease-in-out;
}
.copySuccess-done {
	bottom: 0px !important;
}
.logo-wrapper {
	padding: 40px;
	text-align: center;
}
.logo-wrapper svg {
	width: 80px;
	fill: #fff;
}
.account-wrapper {
	padding: 20px;
}
.account-wrapper a {
	color: inherit !important;
	text-decoration: none;
	opacity: 0.7;
}
.dropdown-toggle {
	position: relative;
}
.dropdown-toggle::after {
	position: absolute;
	right: 0.375rem;
	top: 50%;
	transform: translate(0%,-50%);
}
.nav-link {
	padding: 10px 20px;
}
a.nav-link {
	color: #fff;
	position: relative;
}
a.nav-link:hover {
	color: #bdc0c5;
	opacity: 0.7;
}
a.active::before {
	content: '';
	width: 5px;
	height: 100%;
	position: absolute;
	left: 0px;
	top: 0px;
	background: linear-gradient(-45deg, #a13d1e 0%, #aa315f 23.4%, #2f7b96 49.77%, #369983 71.19%);
	background-size: 1200% 100%;
	animation: gradient 15s ease infinite;
}

.card {
	background-color: #222e3c;
	color: #fff;
	border-radius: 0px;
	box-shadow: 0px 0px 20px -10px #000;
}
.openInNewTab {
	margin-left: 10px;
}
.openInNewTab svg {
	height: 20px;
	margin-top: -2px;
}

.form-control, .form-control:focus {
	-webkit-appearance: none;
	-moz-appearance: none;
	appearance: none;
	background-color: transparent;
	border: 1px solid #7a828a;
	color: #bdc0c5;
	border-radius: 0px;
	outline: none;
}
.form-control::placeholder {
	color: #bdc0c5;
}
.btn {
	border-radius: 0px;
}
.btn-primary, .dataTables_wrapper .dataTables_paginate .paginate_button:hover {
	background: linear-gradient(-45deg, #a13d1e 0%, #aa315f 23.4%, #2f7b96 49.77%, #369983 71.19%);
	background-size: 400% 100%;
	animation: gradient 15s ease infinite;
	border: 1px solid transparent;
}
.btn-primary:hover {
	border: 1px solid transparent;
}
.login-logo {
	text-align: center;
}
.login-logo svg {
	width: 120px;
	fill: #fff;
}
.table>:not(caption)>*>* {
	color: #bdc0c5 !important;
	border-bottom-color: rgb(78, 88, 99);
}
.table>tbody>tr>td {
	vertical-align: middle;
}
.dataTables_wrapper .dataTables_filter input {
	color: #bdc0c5;
	border-radius: 0px;
}
[type="search"]::-webkit-search-cancel-button {
  -webkit-appearance: none;
  appearance: none;
  background-color: #fff;
}
.dataTables_wrapper .dataTables_length select {
	color: #bdc0c5;
}
.top-container {
	margin-top: -2rem;
	margin-bottom: 2rem;
	margin-left: -2rem;
	margin-right: -2rem;
}
.top-container h1 {
	font-size: 24px;
	margin-bottom: 0;
	line-height: 1.6;
	font-weight: 700;
}
.copyToClipboard {
	cursor: copy;
}
.copyToClipboard:hover {
	color: #fff;
	opacity: 0.7;
}
input.copyToClipboard {
	background-color: transparent;
	border: none;
	color: #bdc0c5;
	min-width:350px;
}
.openInNewTab {
	cursor: pointer;
}
.openInNewTab:hover {
	color: #fff;
	opacity: 0.7;
}
#datatable_filter {
	width: 100%;
}
#datatable_filter > label {
	width: 100%;
}
#datatable_filter > label > input {
	display: block;
	margin-left: 0px;
	width: 100%;
	margin-top: 5px;
}
.dataTables_wrapper .dataTables_filter {
	text-align: left;
}
.dataTables_wrapper .dataTables_paginate {
	float: none;
	text-align: center;
}
.dataTables_wrapper .dataTables_info {
	float: none;
}
.mobileHeader {
	display: none;
}

@media (max-width: 767.98px) {
	.content {
		padding: 0rem;
	}
	.main {
		padding-top: 55px;
	}
	.top-container {
		margin: 0rem;
		margin-bottom: 1rem;
	}
	.sidebar {
		position: absolute;
		height: 100vh;
		max-width: 100vw;
		width: 100%;
		z-index: 100;
		left: -100%;
	}
	.sidebar.sidebar-active {
		left: 0px;
	}
	.mobileHeader {
		display: block;
		position: fixed;
		left: 0px;
		top: 0px;
		width: 100%;
		z-index: 99;
	}
	.mobileHeader .logo-wrapper {
		padding: 0px;
	}
	.mobileHeader .logo-wrapper svg {
		width: 40px;
	}
	.mobileHeader #mobileToggle {
		width: 30px;
		height: 30px;
		position: absolute;
		left: 15px;
		top: 50%;
		cursor: pointer;
		transform: translate(0%,-50%);
	}
	.mobileHeader #mobileToggle span {
		width: 100%;
		height: 1px;
		border: 1px solid #fff;
		margin-top: 5px;
		margin-bottom: 5px;
		display: block;
		width: 100%;
		border-radius: 5px;
	}
	#mobileClose {
		position: absolute;
		right: 15px;
		top: 15px;
		width: 30px;
		height: 30px;
		cursor: pointer;
	}
	#mobileClose:before, #mobileClose:after {
		position: absolute;
		left: 15px;
		content: ' ';
		height: 31px;
		width: 2px;
		background-color: #fff;
	}
	#mobileClose:before {
		transform: rotate(45deg);
	}
	#mobileClose:after {
		transform: rotate(-45deg);
	}
	#copySuccess {
		width: 100%;
	}
}